<?php
// +-------------------------------------------------+
// © 2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: fichier.php,v 1.14 2025/12/03 07:27:54 dgoron Exp $


// définition du minimum nécéssaire 
$base_path=".";                            
$base_auth = "FICHES_AUTH";  
$base_title = "\$msg[onglet_fichier]";
$base_use_dojo = 1;
$prefix = "gestfic0";

if ((isset($_POST["dest"])) && ($_POST["dest"]=="TABLEAU")) {
	$base_noheader=1;
}

require_once ("$base_path/includes/init.inc.php");

global $class_path, $include_path, $msg, $charset, $idfiche;
global $categ, $plugin, $sub, $lang;

// modules propres à fichier.php ou à ses sous-modules
require_once($class_path."/modules/module_fichier.class.php");
require("$include_path/templates/fichier.tpl.php");

$module_fichier = new module_fichier();

$module_fichier->proceed_header();

global $dest;
switch($dest) {
	case "TABLEAU":
		
		break;
	case "TABLEAUHTML":
		echo "<h1>".htmlentities($msg['onglet_fichier'].$msg[1003].$msg[1001],ENT_QUOTES,$charset)."</h1>";
		break;
	default:
		break;
}

$idfiche = intval($idfiche);
$module_fichier->set_object_id($idfiche);
$module_fichier->set_url_base($base_path.'/fichier.php?categ='.$categ);
switch($categ){
    case 'search':
    case 'search_advanced':
    case 'reindex':
        $module_fichier->proceed();
        break;
    case 'saisie':
        include("$base_path/fichier/fichier_saisie.inc.php");
        break;
    case 'panier':
        include("$base_path/fichier/fichier_panier.inc.php");
        break;
    case 'custom_fields':
        print "<h1>".htmlentities($msg['fichier_gestion_champs_title'],ENT_QUOTES,$charset)."</h1>";
        $option_visibilite=array();
        $option_visibilite["multiple"]="block";
        $option_visibilite["obligatoire"]="block";
        $option_visibilite["search"]="block";
        $option_visibilite["export"]="none";
        $option_visibilite["filters"]="none";
        $option_visibilite["exclusion"]="none";
        $option_visibilite["opac_sort"]="none";
        $p_perso=new parametres_perso($prefix,"./fichier.php?categ=custom_fields",$option_visibilite);
        $p_perso->proceed();
        break;
    case 'plugin' :
        $plugins = plugins::get_instance();
        $file = $plugins->proceed("fichier",$plugin,$sub);
        if($file){
            include $file;
        }
        break;
    default:
        include("$include_path/messages/help/$lang/module_fichier.txt");
        break;
}

$module_fichier->proceed_footer();
switch($dest) {
	case "TABLEAU":
		break;
	case "TABLEAUHTML":
		print "</body>" ;
		break;
	default:
		print "</body>" ;
		break;
}

// deconnection MYSql
pmb_mysql_close();